/*********************************************************************
**  IDRERR.H
**
**  Error defines for IDR (Input Data Recognition) objects
**********************************************************************
*/
#ifndef _idrerror_h_
#define _idrerror_h_

#define IDRERR_BASE             0x7300

#define IDRERR_FIRST            (IDRERR_BASE)
#define IDRERR_LAST             0x73ff

#define IDRERR_ERROR            (IDRERR_BASE)        /* generic failure    */

/**RA** This is the set that was documented as public */

#define IDRERR_BUF_TOO_SMALL       (IDRERR_BASE +  1) /* Input buffer too small */
#define IDRERR_NO_RESULTS_AVAIL    (IDRERR_BASE +  2) /* No results available */
#define IDRERR_INVALID_PARM        (IDRERR_BASE +  3) /* Invalid parameter */
#define IDRERR_INVALID_STATE       (IDRERR_BASE +  4) /* Invalid state */
#define IDRERR_INVALID_HANDLE      (IDRERR_BASE +  5) /* Invalid wordlist handle */
#define IDRERR_ALREADY_EXISTS      (IDRERR_BASE +  6) /* Global wordlist name already exists */
#define IDRERR_NOT_FOUND           (IDRERR_BASE +  7) /* Global wordlist name not found */

/**RA** These might want to be public */

#define IDRERR_SYMSETUNDEFINED     (IDRERR_BASE +  8) /* Symbol subset not valid or not defined */


#endif /* _idrerror_h_ */
